RMIFailureHandler (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Interface RMIFailureHandler

public interface RMIFailureHandler

An `RMIFailureHandler` can be registered via the `RMISocketFactory.setFailureHandler` call. The `failure` method of the handler is invoked when the RMI runtime is unable to create a `ServerSocket` to listen for incoming calls. The `failure` method returns a boolean indicating whether the runtime should attempt to re-create the `ServerSocket`.

Since:
  JDK1.1

Method Summary
`boolean` | `failure(Exception ex)` The `failure` callback is invoked when the RMI runtime is unable to create a `ServerSocket` via the `RMISocketFactory`.

Method Detail

### failure

    public boolean failure(Exception ex)

  The `failure` callback is invoked when the RMI runtime is unable to create a `ServerSocket` via the `RMISocketFactory`. An `RMIFailureHandler` is registered via a call to `RMISocketFacotry.setFailureHandler`. If no failure handler is installed, the default behavior is to attempt to re-create the ServerSocket.

  Parameters:
    `ex` - the exception that occurred during `ServerSocket` creation
  Returns:
    if true, the RMI runtime attempts to retry `ServerSocket` creation
  Since:
    JDK1.1
  See Also:
    `RMISocketFactory.setFailureHandler(RMIFailureHandler)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.